Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#315 pgld crashes after reload (Ubuntu oneiric/precise, Mint 12)

PeerGuardian_Linux
closed
jre-phoenix
pgld (2)
5
2012-11-11
2012-02-29
pawl
No

When i try to start PG i get this message

Failed executing command(s). The following output was given:
"* Starting PeerGuardian Linux pgld
...fail!"

You can also check "/var/log/pgl/pgld.log" or "/var/log/pgl/pglcmd.log" for more details.

log file contents

Everything is Ok

Size: 16591733
Compressed: 3584107
done.
Updating tbg_search-engines... . No update available.
Extracting tbg_search-engines, detected 7z...
7-Zip (A) [64] 9.20 Copyright (c) 1999-2010 Igor Pavlov 2010-11-18
p7zip Version 9.20 (locale=C,Utf16=off,HugeFiles=on,6 CPUs)

Processing archive: /var/spool/pgl/tbg_search-engines/downloaded/tbg_search-engines

Extracting pfefqteoxlfzopecdtyw.txt

Everything is Ok

Size: 58258
Compressed: 15320
done.
Blocklists updated.
Problematic daemon status: 1
* pgld is not running
2012-02-29 10:02:38 GMT Begin: pglcmd start
Problematic daemon status: 1
* pgld is not running
2012-02-29 10:03:26 GMT Begin: pglcmd start
Problematic daemon status: 1
* pgld is not running
2012-02-29 11:50:46 GMT Begin: pglcmd start
Problematic daemon status: 1
* pgld is not running
2012-02-29 12:22:18 GMT Begin: pglcmd start
Problematic daemon status: 1
* pgld is not running
2012-02-29 12:22:36 GMT Begin: pglcmd start
Problematic daemon status: 1
* pgld is not running

pgld.log

Feb 29 07:50:30 INFO: Reopened logfile: /var/log/pgl/pgld.log
Feb 29 07:50:30 WARN: pgld dbus is already initialized.
Feb 29 07:50:30 ERROR: Cannot initialize D-Bus

i checked dmesg and saw that a mobile phone was plugged in and caused some fun with the networking interfaces

[165027.028688] usb 1-2.2: USB disconnect, device number 13
[165030.300390] usb 1-2.2: new high speed USB device number 14 using ehci_hcd
[165030.997606] usbcore: registered new interface driver cdc_ether
[165031.197159] rndis_host 1-2.2:1.0: RNDIS_MSG_QUERY(0x00010202) failed, -47
[165031.220804] rndis_host 1-2.2:1.0: eth0: register 'rndis_host' at usb-0000:00:12.2-2.2, RNDIS device (poll status before control), 80:00:60:0f:e8:00
[165031.220868] usbcore: registered new interface driver rndis_host
[165031.373037] cfg80211: Calling CRDA to update world regulatory domain
[165031.594107] usbcore: registered new interface driver rndis_wlan
[165031.662124] cfg80211: World regulatory domain updated:
[165031.662133] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[165031.662141] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[165031.662149] cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[165031.662155] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[165031.662162] cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[165031.662168] cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[165031.829296] udevd[23438]: renamed network interface eth0 to eth2
[165043.000026] eth2: no IPv6 routers present
[166832.162993] usb 1-2.2: USB disconnect, device number 14
[166832.163174] rndis_host 1-2.2:1.0: eth2: unregister 'rndis_host' usb-0000:00:12.2-2.2, RNDIS device (poll status before control)
[172980.876544] usb 1-2.1: new high speed USB device number 15 using ehci_hcd
[172980.982716] scsi14 : usb-storage 1-2.1:1.0
[172981.987323] scsi 14:0:0:0: Direct-Access HTC Android Phone 0100 PQ: 0 ANSI: 2
[172982.369172] sd 14:0:0:0: Attached scsi generic sg4 type 0
[172982.374253] sd 14:0:0:0: [sdd] Attached SCSI removable disk
[175460.816191] usb 1-2.1: USB disconnect, device number 15

Discussion

1 2 > >> (Page 1 of 2)
  • jre-phoenix
    jre-phoenix
    2012-03-01

    1. Can you reproduce this?
    Although the "renamed network interface eth0 to eth2" looks dubious, it should not cause any problems. pgl works per default on the whole network (pgl setting INTERFACES="all"). Also the automatic LAN whitelisting doesn't consider the interfaces (IIRC), and shouldn't be related to your problem. So I'm clueless about the reason for your problem

    2. Does this problem exist permanently? It should be detected by the watchdog which runs every 5 minutes. The watchdog restarts pgl.

    3. Like the watchdog, a manual "pglcmd restart" should solve the problem.

     
  • pawl
    pawl
    2012-03-07

    had this again this morning. about the time my wife unplugs her phone. but nothign in dmesg about netwrokign this time.

    Mar 7 07:36:27 INFO: Reopened logfile: /var/log/pgl/pgld.log
    Mar 7 07:36:27 WARN: pgld dbus is already initialized.
    Mar 7 07:36:27 ERROR: Cannot initialize D-Bus

    Blocklists updated.
    Problematic daemon status: 1
    * pgld is not running
    2012-03-07 09:18:55 GMT Begin: pglcmd start
    Problematic daemon status: 1
    * pgld is not running
    2012-03-07 09:20:22 GMT Begin: pglcmd start
    Problematic daemon status: 1
    * pgld is not running

     
  • pawl
    pawl
    2012-03-07

    running
    sudo pglcmd restart
    returns things to normal.

     
  • jre-phoenix
    jre-phoenix
    2012-03-07

    I assume something goes wrong with dbus, which is used by pgld and probably also when you plug your phone. Then the pgld process crashes.

    Note for myself/other developers: status 1, so pgld process is dead but its pid file still exists - this should be handled better.

    A simple start doesn't help here, because there are some remnants from the prior running pgl. These have to be deleted first by stop, just then a start works again (restart = stop + start). So it seems to me that the problem is always solved automatically by the watchdog which runs every 300 second. You may reduce this interval if you wish.

    I don't know how to find and solve the exac reason of your problem for now, sorry.

     
  • jre-phoenix
    jre-phoenix
    2012-03-20

    I just discovered I had the same/similar problem here since I installed packages that were built for Ubuntu oneiric. Note that I did that on my Debian wheezy system. Then pgld silently crashed on every "pglcmd reload" and "kill -s HUP PID" (pgld process died, but pid file remained - exactly the same problem like you had). On default installations this happens at least once a day after every automatic blocklist update and the pgld logrotate job, because they trigger a "reload".

    Which version of pgl are you using? On which system? Please report the output of "dpkg -l "pgl*" (if you are on Debian/Ubuntu).

    Please check your mails sent to root for "pglcmd.wd restarted pgld" subjects to figure out how often and since when you were hit by this problem. [Mails to root are saved in /var/mail/root (unless they are forwarded to an user. Just check this file directly. Or login as root and type mail; you will then see a list of mails, you can navigate with + and -. Of yourse there are also easier, graphical ways to read your mails, just search the web].

     
  • jre-phoenix
    jre-phoenix
    2012-06-09

    Does this still occur with the current code in the git repository?

     
  • jre-phoenix
    jre-phoenix
    2012-06-13

    The problem only occurs (AFAIK) with binaries built in Ubuntu oneiric and precise.
    In the PPA I solved this by copying the natty packages to the oneiric and precise dists.

    We still need to find out, why this happens

     
  • jre-phoenix
    jre-phoenix
    2012-06-13

    err, and of course Mint 12

     
  • jre-phoenix
    jre-phoenix
    2012-06-19

    I disabled the dbus closing and reopening on "reload". That should fix this issue.

    I'm not sure if this is a feasible solution!
    I still don't understand what's the real cause for this bug happening only for certain binaries based on the same source. So dbus code still needs a thorough check!

     
1 2 > >> (Page 1 of 2)